## Class TDbException

Description

TDbException class

TDbException represents an exception related with DB operations.

- since: 3.0
- version: $Id: TException.php 2247 2007-09-26 16:05:56Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Exceptions/TException.php (line 298)

    Exception
       |
       --TException
          |
          --TSystemException
             |
             --TDbException

Direct descendents

Class | Description
--- | ---
TActiveRecordException | Base exception class for Active Records.
TDbConnectionException | TDbConnectionException class

Methods

#### Inherited Methods

Inherited From TException

> TException::__construct()
> TException::getErrorCode()
> TException::getErrorMessage()
> TException::getErrorMessageFile()
> TException::setErrorCode()
> TException::setErrorMessage()
> TException::translateErrorMessage()

Documentation generated on Mon, 21 Apr 2008 11:35:00 -0400 by phpDocumentor 1.3.0RC4